diff --git a/ports/www/chromium/dragonfly/patch-all b/ports/www/chromium/dragonfly/patch-all
index 6ecc716fa2a..7c61c59709b 100644
--- a/ports/www/chromium/dragonfly/patch-all
+++ b/ports/www/chromium/dragonfly/patch-all
@@ -1086,11 +1597,20 @@ index 229ea0dc14a..5668de35f04 100644
  // The Alsa device to use when opening an audio input stream.
  const char kAlsaInputDevice[] = "alsa-input-device";
  // The Alsa device to use when opening an audio stream.
+@@ -395,7 +395,7 @@ constexpr base::FeatureParam<AudioBackend>::Option
+ const base::FeatureParam<AudioBackend>
+     kAudioBackendParam{
+         &kAudioBackend, "audio-backend",
+-#if BUILDFLAG(IS_OPENBSD)
++#if BUILDFLAG(IS_OPENBSD) || BUILDFLAG(IS_DRAGONFLY)
+         AudioBackend::kSndio,
+ #elif BUILDFLAG(IS_FREEBSD)
+         AudioBackend::kAuto,
 diff --git media/base/media_switches.h media/base/media_switches.h
-index 670a89d70e2..708198d43de 100644
+index 206d0adaf7f4..7ccab05132a1 100644
 --- media/base/media_switches.h
 +++ media/base/media_switches.h
-@@ -45,7 +45,7 @@ MEDIA_EXPORT extern const char kDisableBackgroundMediaSuspend[];
+@@ -44,7 +44,7 @@ MEDIA_EXPORT extern const char kDisableBackgroundMediaSuspend[];
  MEDIA_EXPORT extern const char kReportVp9AsAnUnsupportedMimeType[];
  
  #if BUILDFLAG(IS_LINUX) || BUILDFLAG(IS_CHROMEOS) || BUILDFLAG(IS_FREEBSD) || \
@@ -1099,11 +1619,101 @@ index 670a89d70e2..708198d43de 100644
  MEDIA_EXPORT extern const char kAlsaInputDevice[];
  MEDIA_EXPORT extern const char kAlsaOutputDevice[];
  #endif
+diff --git media/ffmpeg/scripts/build_ffmpeg.py media/ffmpeg/scripts/build_ffmpeg.py
+index 0b0798ab5c18..eba0b2ab619e 100755
+--- media/ffmpeg/scripts/build_ffmpeg.py
++++ media/ffmpeg/scripts/build_ffmpeg.py
+@@ -45,6 +45,7 @@ ARCH_MAP = {
+     'linux': ['ia32', 'x64', 'noasm-x64', 'arm', 'arm-neon', 'arm64'],
+     'openbsd': ['x64', 'arm64', 'ia32'],
+     'freebsd': ['x64', 'arm64', 'ia32'],
++    'dragonfly': ['x64'],
+     'mac': ['x64', 'arm64'],
+     'win': ['ia32', 'x64', 'arm64'],
+ }
+@@ -124,7 +125,7 @@ def PrintAndCheckCall(argv, *args, **kwargs):
+ 
+ 
+ def GetDsoName(target_os, dso_name, dso_version):
+-    if target_os in ('linux', 'linux-noasm', 'android', 'openbsd', 'freebsd'):
++    if target_os in ('linux', 'linux-noasm', 'android', 'openbsd', 'freebsd', 'dragonfly'):
+         return 'lib%s.so.%s' % (dso_name, dso_version)
+     elif target_os == 'mac':
+         return 'lib%s.%s.dylib' % (dso_name, dso_version)
+@@ -477,7 +478,7 @@ def BuildFFmpeg(target_os, target_arch, host_os, host_arch, parallel_jobs,
+     # removing <sys/sysctl.h> soon, so this is needed to silence a deprecation
+     # #warning which will be converted to an error via -Werror.
+     # There is also no prctl.h
+-    if target_os in ['linux', 'linux-noasm', 'openbsd', 'freebsd']:
++    if target_os in ['linux', 'linux-noasm', 'openbsd', 'freebsd', 'dragonfly']:
+         pre_make_rewrites += [
+             (r'(#define HAVE_SYSCTL [01])',
+              r'#define HAVE_SYSCTL 0 /* \1 -- forced to 0 for Fuchsia */'),
+@@ -600,7 +601,7 @@ def main(argv):
+     configure_args = args[2:]
+ 
+     if target_os not in ('android', 'linux', 'linux-noasm', 'mac', 'win',
+-                         'all', 'openbsd', 'freebsd'):
++                         'all', 'openbsd', 'freebsd', 'dragonfly'):
+         parser.print_help()
+         return 1
+ 
+@@ -714,7 +715,7 @@ def ConfigureAndBuild(target_arch, target_os, host_os, host_arch,
+             '--optflags="-O2"',
+         ])
+ 
+-    if target_os in ('linux', 'linux-noasm', 'android', 'openbsd', 'freebsd'):
++    if target_os in ('linux', 'linux-noasm', 'android', 'openbsd', 'freebsd', 'dragonfly'):
+         if target_arch == 'x64':
+             if target_os == 'android':
+                 configure_flags['Common'].extend([
+@@ -908,19 +909,26 @@ def ConfigureAndBuild(target_arch, target_os, host_os, host_arch,
+             '--disable-inline-asm',
+         ])
+ 
+-    if 'win' not in target_os and 'android' not in target_os:
++    if 'win' not in target_os and 'android' not in target_os and 'dragonfly' not in target_os:
+         configure_flags['Common'].extend([
+             '--enable-pic',
+             '--cc=clang',
+             '--cxx=clang++',
+             '--ld=clang',
+         ])
++    else:
++        configure_flags['Common'].extend([
++            '--enable-pic',
++            '--cc=cc',
++            '--cxx=c++',
++            '--ld=cc',
++        ])
+ 
+         # Clang Linux will use the first 'ld' it finds on the path, which will
+         # typically be the system one, so explicitly configure use of Clang's
+         # ld.lld, to ensure that things like cross-compilation and LTO work.
+         # This does not work for ia32 and is always used on mac.
+-        if target_arch != 'ia32' and target_os != 'mac':
++        if target_arch != 'ia32' and target_os != 'mac' and target_os != 'dragonfly':
+             configure_flags['Common'].append('--extra-ldflags=-fuse-ld=lld')
+ 
+     # Should be run on Mac, unless we're cross-compiling on Linux.
+diff --git media/ffmpeg/scripts/robo_lib/config.py media/ffmpeg/scripts/robo_lib/config.py
+index 84f5b3d38fd9..406d5162784b 100644
+--- media/ffmpeg/scripts/robo_lib/config.py
++++ media/ffmpeg/scripts/robo_lib/config.py
+@@ -221,6 +221,8 @@ class RoboConfiguration:
+             self._host_operating_system = "openbsd"
+         elif platform.system() == "FreeBSD":
+             self._host_operating_system = "freebsd"
++        elif platform.system() == "DragonFly":
++            self._host_operating_system = "dragonfly"
+         else:
+             raise ValueError(f"Unsupported platform: {platform.system()}")
+ 
 diff --git mojo/public/cpp/platform/socket_utils_posix.cc mojo/public/cpp/platform/socket_utils_posix.cc
-index c7e609a16b9..0ba86f9bc57 100644
+index 74ad8bf4ad83..c74c0e729d4a 100644
 --- mojo/public/cpp/platform/socket_utils_posix.cc
 +++ mojo/public/cpp/platform/socket_utils_posix.cc
-@@ -29,7 +29,7 @@ bool IsRecoverableError() {
+@@ -34,7 +34,7 @@ bool IsRecoverableError() {
  }
  
  bool GetPeerEuid(base::PlatformFile fd, uid_t* peer_euid) {
@@ -1112,29 +1722,14 @@ index c7e609a16b9..0ba86f9bc57 100644
    uid_t socket_euid;
    gid_t socket_gid;
    if (getpeereid(fd, &socket_euid, &socket_gid) < 0) {
-diff --git native_client/src/third_party/dlmalloc/malloc.c native_client/src/third_party/dlmalloc/malloc.c
-index 4a849843ea7..9d00c48392b 100644
---- native_client/src/third_party/dlmalloc/malloc.c
-+++ native_client/src/third_party/dlmalloc/malloc.c
-@@ -1483,7 +1483,8 @@ DLMALLOC_EXPORT int mspace_mallopt(int, int);
- #ifndef LACKS_UNISTD_H
- #include <unistd.h>     /* for sbrk, sysconf */
- #else /* LACKS_UNISTD_H */
--#if !defined(__FreeBSD__) && !defined(__OpenBSD__) && !defined(__NetBSD__)
-+#if !defined(__FreeBSD__) && !defined(__OpenBSD__) && !defined(__NetBSD__) && \
-+    !defined(__DragonFly__)
- extern void*     sbrk(ptrdiff_t);
- #endif /* FreeBSD etc */
- #endif /* LACKS_UNISTD_H */
 diff --git net/socket/udp_socket_posix.cc net/socket/udp_socket_posix.cc
-index 725c97a1cde..b504a8edcaf 100644
+index 4a4b687466d3..dfe7c3903e2a 100644
 --- net/socket/udp_socket_posix.cc
 +++ net/socket/udp_socket_posix.cc
-@@ -75,6 +75,34 @@ const int kActivityMonitorBytesThreshold = 65535;
- const int kActivityMonitorMinimumSamplesForThroughputEstimate = 2;
- const base::TimeDelta kActivityMonitorMsThreshold = base::Milliseconds(100);
+@@ -78,6 +78,32 @@ constexpr int kBindRetries = 10;
+ constexpr int kPortStart = 1024;
+ constexpr int kPortEnd = 65535;
  
-+
 +#if BUILDFLAG(IS_DRAGONFLY)
 +int GetIPv4AddressFromIndex(int socket, uint32_t index, uint32_t* address) {
 +  if (!index) {
@@ -1161,11 +1756,10 @@ index 725c97a1cde..b504a8edcaf 100644
 +}
 +#endif
 +
-+
- #if BUILDFLAG(IS_APPLE) && !BUILDFLAG(CRONET_BUILD)
- 
- // On macOS, the file descriptor is guarded to detect the cause of
-@@ -919,9 +947,21 @@ int UDPSocketPosix::SetMulticastOptions() {
+ int GetSocketFDHash(int fd) {
+   return fd ^ 1595649551;
+ }
+@@ -853,9 +879,21 @@ int UDPSocketPosix::SetMulticastOptions() {
    if (multicast_interface_ != 0) {
      switch (addr_family_) {
        case AF_INET: {
@@ -1187,7 +1781,7 @@ index 725c97a1cde..b504a8edcaf 100644
          int rv = setsockopt(socket_, IPPROTO_IP, IP_MULTICAST_IF,
                              reinterpret_cast<const char*>(&mreq), sizeof(mreq));
          if (rv)
-@@ -984,9 +1024,17 @@ int UDPSocketPosix::JoinGroup(const IPAddress& group_address) const {
+@@ -918,9 +956,17 @@ int UDPSocketPosix::JoinGroup(const IPAddress& group_address) const {
      case IPAddress::kIPv4AddressSize: {
        if (addr_family_ != AF_INET)
          return ERR_ADDRESS_INVALID;
@@ -1206,7 +1800,7 @@ index 725c97a1cde..b504a8edcaf 100644
               IPAddress::kIPv4AddressSize);
        int rv = setsockopt(socket_, IPPROTO_IP, IP_ADD_MEMBERSHIP,
 diff --git ppapi/tests/test_utils.h ppapi/tests/test_utils.h
-index 52a0c81bef2..4dc9fa483be 100644
+index 52a0c81bef23..4dc9fa483bec 100644
 --- ppapi/tests/test_utils.h
 +++ ppapi/tests/test_utils.h
 @@ -312,6 +312,8 @@ do { \
@@ -1229,10 +1823,10 @@ index 52a0c81bef2..4dc9fa483be 100644
  #endif
  
 diff --git sandbox/policy/BUILD.gn sandbox/policy/BUILD.gn
-index 8bf14eebd9e..145a98709da 100644
+index d0ef8986ec33..a591711fbaf5 100644
 --- sandbox/policy/BUILD.gn
 +++ sandbox/policy/BUILD.gn
-@@ -142,6 +142,16 @@ component("policy") {
+@@ -145,6 +145,16 @@ component("policy") {
        "//ui/gfx/x",
      ]
    }
@@ -1250,7 +1844,7 @@ index 8bf14eebd9e..145a98709da 100644
      sources += [
        "linux/bpf_ime_policy_linux.cc",
 diff --git sandbox/policy/mojom/sandbox.mojom sandbox/policy/mojom/sandbox.mojom
-index ff6e68c0a57..998348fc5a6 100644
+index 374f6c0cbd53..2639ebc0fe22 100644
 --- sandbox/policy/mojom/sandbox.mojom
 +++ sandbox/policy/mojom/sandbox.mojom
 @@ -83,6 +83,8 @@ enum Sandbox {
@@ -1263,7 +1857,7 @@ index ff6e68c0a57..998348fc5a6 100644
    // files.
    [EnableIf=is_win]
 diff --git sandbox/policy/sandbox.h sandbox/policy/sandbox.h
-index 44f331a70fb..db461c5b0a7 100644
+index 44f331a70fb8..db461c5b0a79 100644
 --- sandbox/policy/sandbox.h
 +++ sandbox/policy/sandbox.h
 @@ -16,6 +16,8 @@
@@ -1276,7 +1870,7 @@ index 44f331a70fb..db461c5b0a7 100644
  
  namespace sandbox {
 diff --git services/device/hid/hid_connection_freebsd.cc services/device/hid/hid_connection_freebsd.cc
-index 4da42b18c68..4782996dfe9 100644
+index 4ca329ac2944..86d51ccfc988 100644
 --- services/device/hid/hid_connection_freebsd.cc
 +++ services/device/hid/hid_connection_freebsd.cc
 @@ -4,8 +4,13 @@
@@ -1294,7 +1888,7 @@ index 4da42b18c68..4782996dfe9 100644
  #include "base/files/file_descriptor_watcher_posix.h"
  #include "base/location.h"
 diff --git services/device/hid/hid_service_freebsd.cc services/device/hid/hid_service_freebsd.cc
-index 0b6bf3b4ce3..88cfbd95e2b 100644
+index 0b6bf3b4ce37..88cfbd95e2b7 100644
 --- services/device/hid/hid_service_freebsd.cc
 +++ services/device/hid/hid_service_freebsd.cc
 @@ -4,7 +4,12 @@
@@ -1311,10 +1905,10 @@ index 0b6bf3b4ce3..88cfbd95e2b 100644
  #include <sys/socket.h>
  #include <sys/un.h>
 diff --git services/device/usb/BUILD.gn services/device/usb/BUILD.gn
-index fed63c895b4..409724683ca 100644
+index b4fe1201a9cf..a6e927903f78 100644
 --- services/device/usb/BUILD.gn
 +++ services/device/usb/BUILD.gn
-@@ -124,7 +124,7 @@ static_library("usb") {
+@@ -114,7 +114,7 @@ static_library("usb") {
      deps += [ "//third_party/libusb" ]
    }
  
@@ -1324,10 +1918,10 @@ index fed63c895b4..409724683ca 100644
        "usb_service_fake.cc",
        "usb_service_fake.h",
 diff --git services/device/usb/usb_service.cc services/device/usb/usb_service.cc
-index dd55d724dc0..e066e7624a8 100644
+index 3dd82933c64b..6b95b8b0a231 100644
 --- services/device/usb/usb_service.cc
 +++ services/device/usb/usb_service.cc
-@@ -31,7 +31,7 @@
+@@ -29,7 +29,7 @@
  #include "services/device/usb/usb_service_win.h"
  #elif BUILDFLAG(IS_OPENBSD)
  #include "services/device/usb/usb_service_impl.h"
@@ -1337,7 +1931,7 @@ index dd55d724dc0..e066e7624a8 100644
  #endif
  
 diff --git services/network/network_sandbox_hook_linux.h services/network/network_sandbox_hook_linux.h
-index 9d39bb72c6c..835492c5ba9 100644
+index 9d39bb72c6c7..835492c5ba97 100644
 --- services/network/network_sandbox_hook_linux.h
 +++ services/network/network_sandbox_hook_linux.h
 @@ -6,7 +6,7 @@
@@ -1350,7 +1944,7 @@ index 9d39bb72c6c..835492c5ba9 100644
  #else
  #include "sandbox/policy/linux/sandbox_linux.h"
 diff --git services/resource_coordinator/public/cpp/memory_instrumentation/os_metrics_bsd.cc services/resource_coordinator/public/cpp/memory_instrumentation/os_metrics_bsd.cc
-index 8420decc95d..967bfebb833 100644
+index 8420decc95d8..967bfebb8330 100644
 --- services/resource_coordinator/public/cpp/memory_instrumentation/os_metrics_bsd.cc
 +++ services/resource_coordinator/public/cpp/memory_instrumentation/os_metrics_bsd.cc
 @@ -17,6 +17,9 @@
@@ -1373,10 +1967,10 @@ index 8420decc95d..967bfebb833 100644
  #endif
  
 diff --git services/resource_coordinator/public/cpp/memory_instrumentation/os_metrics_linux.cc services/resource_coordinator/public/cpp/memory_instrumentation/os_metrics_linux.cc
-index 91435102c3b..80745b20033 100644
+index cba7a22dada9..7aa8877b3421 100644
 --- services/resource_coordinator/public/cpp/memory_instrumentation/os_metrics_linux.cc
 +++ services/resource_coordinator/public/cpp/memory_instrumentation/os_metrics_linux.cc
-@@ -5,6 +5,7 @@
+@@ -10,6 +10,7 @@
  #include <dlfcn.h>
  #include <fcntl.h>
  #include <stdint.h>
@@ -1385,7 +1979,7 @@ index 91435102c3b..80745b20033 100644
  
  #include <memory>
 diff --git services/video_capture/public/mojom/video_capture_service.mojom services/video_capture/public/mojom/video_capture_service.mojom
-index 04c9e93515b..49a602db38d 100644
+index 04c9e93515b0..49a602db38db 100644
 --- services/video_capture/public/mojom/video_capture_service.mojom
 +++ services/video_capture/public/mojom/video_capture_service.mojom
 @@ -28,6 +28,7 @@ interface AcceleratorFactory {
@@ -1397,7 +1991,7 @@ index 04c9e93515b..49a602db38d 100644
  const sandbox.mojom.Sandbox kVideoCaptureSandbox
    = sandbox.mojom.Sandbox.kNoSandbox;
 diff --git skia/ext/platform_canvas.h skia/ext/platform_canvas.h
-index 34d8b858f5f..194a55e7f62 100644
+index 34d8b858f5f0..194a55e7f624 100644
 --- skia/ext/platform_canvas.h
 +++ skia/ext/platform_canvas.h
 @@ -58,7 +58,7 @@ SK_API HDC GetNativeDrawingContext(SkCanvas* canvas);
@@ -1410,20 +2004,20 @@ index 34d8b858f5f..194a55e7f62 100644
  // first. @data must be, at least, @height * StrideForWidth(@width) bytes.
  SK_API std::unique_ptr<SkCanvas> CreatePlatformCanvasWithPixels(
 diff --git third_party/abseil-cpp/absl/base/config.h third_party/abseil-cpp/absl/base/config.h
-index 6c776a27da1..9f21ac2d1be 100644
+index 754ada484d17..81911e48a908 100644
 --- third_party/abseil-cpp/absl/base/config.h
 +++ third_party/abseil-cpp/absl/base/config.h
-@@ -418,7 +418,8 @@ static_assert(ABSL_INTERNAL_INLINE_NAMESPACE_STR[0] != 'h' ||
+@@ -380,7 +380,8 @@ static_assert(ABSL_INTERNAL_INLINE_NAMESPACE_STR[0] != 'h' ||
      defined(__asmjs__) || defined(__EMSCRIPTEN__) || defined(__Fuchsia__) || \
-     defined(__sun) || defined(__ASYLO__) || defined(__myriad2__) ||          \
-     defined(__HAIKU__) || defined(__OpenBSD__) || defined(__NetBSD__) ||     \
--    defined(__QNX__) || defined(__VXWORKS__) || defined(__hexagon__)
-+    defined(__QNX__) || defined(__VXWORKS__) || defined(__hexagon__) ||	     \
+     defined(__sun) || defined(__myriad2__) || defined(__HAIKU__) ||          \
+     defined(__OpenBSD__) || defined(__NetBSD__) || defined(__QNX__) ||       \
+-    defined(__VXWORKS__) || defined(__hexagon__)
++    defined(__VXWORKS__) || defined(__hexagon__) || \
 +    defined(__DragonFly__)
  #define ABSL_HAVE_MMAP 1
  #endif
  
-@@ -430,7 +431,7 @@ static_assert(ABSL_INTERNAL_INLINE_NAMESPACE_STR[0] != 'h' ||
+@@ -392,7 +393,7 @@ static_assert(ABSL_INTERNAL_INLINE_NAMESPACE_STR[0] != 'h' ||
  #error ABSL_HAVE_PTHREAD_GETSCHEDPARAM cannot be directly set
  #elif defined(__linux__) || defined(__APPLE__) || defined(__FreeBSD__) || \
      defined(_AIX) || defined(__ros__) || defined(__OpenBSD__) ||          \
@@ -1433,30 +2027,31 @@ index 6c776a27da1..9f21ac2d1be 100644
  #endif
  
 diff --git third_party/abseil-cpp/absl/base/internal/raw_logging.cc third_party/abseil-cpp/absl/base/internal/raw_logging.cc
-index f567245a9ab..3d1bd9dd66f 100644
+index d32b40a8bb7f..3e8f41087c4f 100644
 --- third_party/abseil-cpp/absl/base/internal/raw_logging.cc
 +++ third_party/abseil-cpp/absl/base/internal/raw_logging.cc
-@@ -43,7 +43,8 @@
- // this, consider moving both to config.h instead.
+@@ -44,7 +44,8 @@
  #if defined(__linux__) || defined(__APPLE__) || defined(__FreeBSD__) || \
-     defined(__Fuchsia__) || defined(__native_client__) ||               \
--    defined(__OpenBSD__) || defined(__EMSCRIPTEN__) || defined(__ASYLO__)
-+    defined(__OpenBSD__) || defined(__EMSCRIPTEN__) || defined(__ASYLO__) || \
+     defined(__hexagon__) || defined(__Fuchsia__) ||                     \
+     defined(__native_client__) || defined(__OpenBSD__) ||               \
+-    defined(__EMSCRIPTEN__) || defined(__ASYLO__)
++    defined(__EMSCRIPTEN__) || defined(__ASYLO__) || \
 +    defined(__DragonFly__)
  
  #include <unistd.h>
  
-@@ -56,7 +57,7 @@
+@@ -57,7 +58,8 @@
  // ABSL_HAVE_SYSCALL_WRITE is defined when the platform provides the syscall
  //   syscall(SYS_write, /*int*/ fd, /*char* */ buf, /*size_t*/ len);
  // for low level operations that want to avoid libc.
--#if (defined(__linux__) || defined(__FreeBSD__)) && \
+-#if (defined(__linux__) || defined(__FreeBSD__)) && !defined(__ANDROID__)
 +#if (defined(__linux__) || defined(__FreeBSD__) || defined(__DragonFly__)) && \
-     !defined(__ANDROID__)
++    !defined(__ANDROID__)
  #include <sys/syscall.h>
  #define ABSL_HAVE_SYSCALL_WRITE 1
+ #define ABSL_LOW_LEVEL_WRITE_SUPPORTED 1
 diff --git third_party/abseil-cpp/absl/base/internal/sysinfo.cc third_party/abseil-cpp/absl/base/internal/sysinfo.cc
-index af3ec2ac43c..97a28aa1f0c 100644
+index af3ec2ac43cc..97a28aa1f0c7 100644
 --- third_party/abseil-cpp/absl/base/internal/sysinfo.cc
 +++ third_party/abseil-cpp/absl/base/internal/sysinfo.cc
 @@ -30,7 +30,7 @@
@@ -1478,10 +2073,10 @@ index af3ec2ac43c..97a28aa1f0c 100644
  pid_t GetTID() { return static_cast<pid_t>(pthread_getthreadid_np()); }
  
 diff --git third_party/abseil-cpp/absl/debugging/internal/elf_mem_image.h third_party/abseil-cpp/absl/debugging/internal/elf_mem_image.h
-index 0272f0305d8..23096f45f68 100644
+index a799af4a7c38..f98658601c23 100644
 --- third_party/abseil-cpp/absl/debugging/internal/elf_mem_image.h
 +++ third_party/abseil-cpp/absl/debugging/internal/elf_mem_image.h
-@@ -34,7 +34,8 @@
+@@ -35,7 +35,8 @@
  #if defined(__ELF__) && !defined(__OpenBSD__) && !defined(__QNX__) && \
      !defined(__native_client__) && !defined(__asmjs__) &&             \
      !defined(__wasm__) && !defined(__HAIKU__) && !defined(__sun) &&   \
@@ -1491,7 +2086,7 @@ index 0272f0305d8..23096f45f68 100644
  #define ABSL_HAVE_ELF_MEM_IMAGE 1
  #endif
  
-@@ -42,7 +43,7 @@
+@@ -43,7 +44,7 @@
  
  #include <link.h>  // for ElfW
  
@@ -1501,7 +2096,7 @@ index 0272f0305d8..23096f45f68 100644
  #endif
  
 diff --git third_party/abseil-cpp/absl/debugging/internal/vdso_support.cc third_party/abseil-cpp/absl/debugging/internal/vdso_support.cc
-index 8a588eaffee..26eebc96a43 100644
+index 8a588eaffee6..26eebc96a43b 100644
 --- third_party/abseil-cpp/absl/debugging/internal/vdso_support.cc
 +++ third_party/abseil-cpp/absl/debugging/internal/vdso_support.cc
 @@ -54,7 +54,7 @@
@@ -1514,7 +2109,7 @@ index 8a588eaffee..26eebc96a43 100644
  using Elf64_auxv_t = Elf64_Auxinfo;
  #endif
 diff --git third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_format.cc third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_format.cc
-index e7e30a2fb78..e40d3448d11 100644
+index e7e30a2fb780..e40d3448d11b 100644
 --- third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_format.cc
 +++ third_party/abseil-cpp/absl/time/internal/cctz/src/time_zone_format.cc
 @@ -19,7 +19,8 @@
@@ -1528,7 +2123,7 @@ index e7e30a2fb78..e40d3448d11 100644
  #endif
  #endif
 diff --git third_party/afl/src/afl-fuzz.c third_party/afl/src/afl-fuzz.c
-index a787f9a685a..f240282989e 100644
+index a787f9a685a6..f240282989e4 100644
 --- third_party/afl/src/afl-fuzz.c
 +++ third_party/afl/src/afl-fuzz.c
 @@ -58,9 +58,10 @@
@@ -1598,7 +2193,7 @@ index a787f9a685a..f240282989e 100644
      OKF("You have %u CPU core%s and %u runnable tasks (utilization: %0.0f%%).",
          cpu_core_count, cpu_core_count > 1 ? "s" : "",
 diff --git third_party/angle/src/common/platform.h third_party/angle/src/common/platform.h
-index 720dbf26e7f..35de950a6d9 100644
+index 5df2a6cc2bb7..870474a1eceb 100644
 --- third_party/angle/src/common/platform.h
 +++ third_party/angle/src/common/platform.h
 @@ -34,8 +34,12 @@
@@ -1616,7 +2211,7 @@ index 720dbf26e7f..35de950a6d9 100644
  #    define ANGLE_PLATFORM_POSIX 1
  #else
 diff --git third_party/angle/third_party/glmark2/src/waflib/Tools/c_config.py third_party/angle/third_party/glmark2/src/waflib/Tools/c_config.py
-index 9c627c1cf6c..761f0fc8cc2 100644
+index 9c627c1cf6cf..761f0fc8cc26 100644
 --- third_party/angle/third_party/glmark2/src/waflib/Tools/c_config.py
 +++ third_party/angle/third_party/glmark2/src/waflib/Tools/c_config.py
 @@ -40,7 +40,7 @@ int main(int argc, char **argv) {
@@ -1629,7 +2224,7 @@ index 9c627c1cf6c..761f0fc8cc2 100644
  @conf
  def parse_flags(self,line,uselib_store,env=None,force_static=False,posix=None):
 diff --git third_party/angle/third_party/glmark2/src/waflib/Tools/javaw.py third_party/angle/third_party/glmark2/src/waflib/Tools/javaw.py
-index a07c7c5d618..f95df5bd273 100644
+index a07c7c5d618f..f95df5bd2735 100644
 --- third_party/angle/third_party/glmark2/src/waflib/Tools/javaw.py
 +++ third_party/angle/third_party/glmark2/src/waflib/Tools/javaw.py
 @@ -285,6 +285,8 @@ def check_jni_headers(conf):
@@ -1642,7 +2237,7 @@ index a07c7c5d618..f95df5bd273 100644
  		try:
  			conf.check(header_name='jni.h',define_name='HAVE_JNI_H',lib='jvm',libpath=d,includes=incDirs,uselib_store='JAVA',uselib='JAVA')
 diff --git third_party/angle/third_party/glmark2/src/waflib/Tools/qt5.py third_party/angle/third_party/glmark2/src/waflib/Tools/qt5.py
-index 4cac93260e0..7b095117b19 100644
+index 4cac93260e00..7b095117b194 100644
 --- third_party/angle/third_party/glmark2/src/waflib/Tools/qt5.py
 +++ third_party/angle/third_party/glmark2/src/waflib/Tools/qt5.py
 @@ -281,6 +281,12 @@ def configure(self):
@@ -1659,20 +2254,20 @@ index 4cac93260e0..7b095117b19 100644
  def find_qt5_binaries(self):
  	env=self.env
 diff --git third_party/blink/renderer/bindings/scripts/bind_gen/style_format.py third_party/blink/renderer/bindings/scripts/bind_gen/style_format.py
-index ad6700bbe91..21eb8981c8a 100644
+index cdbf6cb89a54..177afe675a09 100644
 --- third_party/blink/renderer/bindings/scripts/bind_gen/style_format.py
 +++ third_party/blink/renderer/bindings/scripts/bind_gen/style_format.py
-@@ -28,7 +28,7 @@ def init(root_src_dir, enable_style_format=True):
-     root_src_dir = os.path.abspath(root_src_dir)
+@@ -30,7 +30,7 @@ def init(root_src_dir, enable_style_format=True):
  
      # Determine //buildtools/<platform>/ directory
+     new_path_platform_suffix = ""
 -    if sys.platform.startswith(("linux","openbsd","freebsd")):
 +    if sys.platform.startswith(("linux","openbsd","freebsd","dragonfly")):
          platform = "linux64"
          exe_suffix = ""
      elif sys.platform.startswith("darwin"):
 diff --git third_party/blink/renderer/platform/wtf/math_extras.h third_party/blink/renderer/platform/wtf/math_extras.h
-index af423f4b964..e7b8af67ba2 100644
+index af423f4b9644..e7b8af67ba2f 100644
 --- third_party/blink/renderer/platform/wtf/math_extras.h
 +++ third_party/blink/renderer/platform/wtf/math_extras.h
 @@ -128,7 +128,7 @@ constexpr float Grad2turn(float g) {
@@ -1694,10 +2289,10 @@ index af423f4b964..e7b8af67ba2 100644
  #endif
  
 diff --git third_party/blink/renderer/platform/wtf/stack_util.cc third_party/blink/renderer/platform/wtf/stack_util.cc
-index 39fbbf044f7..58c2ee5ea44 100644
+index 827436e5e2b9..3d5d793bad0a 100644
 --- third_party/blink/renderer/platform/wtf/stack_util.cc
 +++ third_party/blink/renderer/platform/wtf/stack_util.cc
-@@ -35,14 +35,15 @@ size_t GetUnderestimatedStackSize() {
+@@ -40,14 +40,15 @@ size_t GetUnderestimatedStackSize() {
  // correctly for the main thread.
  
  #elif BUILDFLAG(IS_LINUX) || BUILDFLAG(IS_CHROMEOS) || \
@@ -1715,7 +2310,7 @@ index 39fbbf044f7..58c2ee5ea44 100644
    pthread_attr_init(&attr);
    error = pthread_attr_get_np(pthread_self(), &attr);
  #else
-@@ -56,7 +57,7 @@ size_t GetUnderestimatedStackSize() {
+@@ -61,7 +62,7 @@ size_t GetUnderestimatedStackSize() {
      pthread_attr_destroy(&attr);
      return size;
    }
@@ -1724,7 +2319,7 @@ index 39fbbf044f7..58c2ee5ea44 100644
    pthread_attr_destroy(&attr);
  #endif
  
-@@ -105,10 +106,10 @@ size_t GetUnderestimatedStackSize() {
+@@ -110,10 +111,10 @@ size_t GetUnderestimatedStackSize() {
  
  void* GetStackStart() {
  #if BUILDFLAG(IS_LINUX) || BUILDFLAG(IS_CHROMEOS) || BUILDFLAG(IS_ANDROID) || \
@@ -1737,7 +2332,7 @@ index 39fbbf044f7..58c2ee5ea44 100644
    pthread_attr_init(&attr);
    error = pthread_attr_get_np(pthread_self(), &attr);
  #else
-@@ -122,7 +123,7 @@ void* GetStackStart() {
+@@ -127,7 +128,7 @@ void* GetStackStart() {
      pthread_attr_destroy(&attr);
      return reinterpret_cast<uint8_t*>(base) + size;
    }
@@ -1747,7 +2342,7 @@ index 39fbbf044f7..58c2ee5ea44 100644
  #endif
  #if defined(__GLIBC__)
 diff --git third_party/blink/renderer/platform/wtf/thread_specific.h third_party/blink/renderer/platform/wtf/thread_specific.h
-index 05247e1cd5c..03e63b1c507 100644
+index 05247e1cd5c4..03e63b1c507a 100644
 --- third_party/blink/renderer/platform/wtf/thread_specific.h
 +++ third_party/blink/renderer/platform/wtf/thread_specific.h
 @@ -104,7 +104,8 @@ inline bool ThreadSpecific<T>::IsSet() {
